SamplerCauchy Class Reference

Cauchy Sampler. More...

`#include <ql/experimental/math/hybridsimulatedannealingfunctors.hpp>`

## Public Member Functions

| SamplerCauchy (unsigned long seed=SeedGenerator::instance().get())
| SamplerCauchy (const SamplerCauchy &sampler)
void | operator() (Array &newPoint, const Array &currentPoint, const Array &temp) const

## Protected Attributes

base_generator_type | generator_
cauchy_random | distribution_
cauchy_variate | cauchy_

## Detailed Description

Cauchy Sampler.

Sample from cauchy distribution. This means that the parameter space must have support on the positive whole real line. For lower dimensions it could be faster than the Gaussian sampler, specially when combined with the Cauchy temperature.